extension DateTimeExtension on DateTime {
  int get toNanoSeconds => microsecondsSinceEpoch * 1000;

  int get toMicroSeconds => microsecondsSinceEpoch;

  int get toMilliSeconds => millisecondsSinceEpoch;

  int get toSeconds => toMilliSeconds ~/ 1000;

  int get toMinutes => toSeconds ~/ 60;

  double get toHours => toMinutes / 60;

  static DateTime fromNanoSeconds(int nanoSeconds) {
    return fromMilliSeconds(nanoSeconds * 1000);
  }

  static DateTime fromMicroSeconds(int microSeconds) {
    return DateTime.fromMillisecondsSinceEpoch(microSeconds);
  }

  static DateTime fromMilliSeconds(int milliSeconds) {
    return DateTime.fromMillisecondsSinceEpoch(milliSeconds);
  }

  static DateTime fromSeconds(int seconds) {
    return fromMilliSeconds(seconds * 1000);
  }

  static DateTime fromMinutes(int minutes) {
    return fromSeconds(minutes * 60);
  }

  static DateTime fromHours(int hours) {
    return fromMinutes(hours * 60);
  }
}
